<script>
	import { arabic_number } from '../utils';

	/** @type { import('../types').Ayah } Ayah */
	export let ayah;

	const { text_uthmani, verse_number } = ayah;
</script>

<p data-number={arabic_number( verse_number )}>{text_uthmani}</p>

<style lang="postcss">
	p {
		display: inline;
		margin: 0;

		&::after {
			content: '\00a0'attr( data-number );
			font-family: lpmq, Kitab, sans-serif;
			font-size: 1.25rem;
		}
	}
</style>
